com.buschmais.jqassistant.plugin.jpa2.api.model

## Interface PersistenceUnitDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, JpaDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      @Label(value="PersistenceUnit")
      public interface PersistenceUnitDescriptor
      extends com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, JpaDescriptor

  A descriptor for JPA model units.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor>` | `getContains()`
    `String` | `getDescription()`
    `String` | `getJtaDataSource()`
    `String` | `getNonJtaDataSource()`
    `Set<com.buschmais.jqassistant.plugin.common.api.model.PropertyDescriptor>` | `getProperties()`
    `String` | `getProvider()`
    `String` | `getSharedCacheMode()`
    `String` | `getTransactionType()`
    `String` | `getValidationMode()`
    `void` | `setDescription(String description)`
    `void` | `setJtaDataSource(String jtaDataSource)`
    `void` | `setNonJtaDataSource(String nonJtaDataSource)`
    `void` | `setProvider(String provider)`
    `void` | `setSharedCacheMode(String sharedCacheMode)`
    `void` | `setTransactionType(String name)`
    `void` | `setValidationMode(String validationMode)`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

- - ### Method Detail

    - #### getTransactionType

          @Property(value="transactionType")
          String getTransactionType()

    - #### setTransactionType

          void setTransactionType(String name)

    - #### getDescription

          @Property(value="description")
          String getDescription()

    - #### setDescription

          void setDescription(String description)

    - #### getProvider

          @Property(value="provider")
          String getProvider()

    - #### setProvider

          void setProvider(String provider)

    - #### getJtaDataSource

          @Property(value="jtaDatasource")
          String getJtaDataSource()

    - #### setJtaDataSource

          void setJtaDataSource(String jtaDataSource)

    - #### getNonJtaDataSource

          @Property(value="nonJtaDatasource")
          String getNonJtaDataSource()

    - #### setNonJtaDataSource

          void setNonJtaDataSource(String nonJtaDataSource)

    - #### getValidationMode

          @Property(value="validationMode")
          String getValidationMode()

    - #### setValidationMode

          void setValidationMode(String validationMode)

    - #### getContains

          @Relation(value="CONTAINS")
          List<com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor> getContains()

    - #### getSharedCacheMode

          @Property(value="sharedCacheMode")
          String getSharedCacheMode()

    - #### setSharedCacheMode

          void setSharedCacheMode(String sharedCacheMode)

    - #### getProperties

          @Relation(value="HAS")
          Set<com.buschmais.jqassistant.plugin.common.api.model.PropertyDescriptor> getProperties()

Copyright © 2015 buschmais GbR. All rights reserved.